Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.im
Class QueueEventListener

    java.lang.Object
      |
      +--com.compoze.collab.im.QueueEventListener

All Implemented Interfaces:
  java.util.EventListener

Direct Known Subclasses:
  QueueImEventListener

public class QueueEventListener
extends java.lang.Object
implements java.util.EventListener

This class implements an event listener that stores events internally until they are retrieved.

Constructor Summary
`QueueEventListener()` Constructor.

Method Summary
`protected void` | `addEvent(java.util.EventObject obj)` Adds an event to the queue (should be called by subclasses when they receive an event).
`java.util.List` | `getEvents()` Gets the events that have occurred since the last time this method was called (equivalent to calling `getEvents(true)`);
`java.util.List` | `getEvents(boolean bRemove)` Gets and optionally also removes all of the events in the queue.
`java.util.EventObject` | `getNextEvent()` Gets and removes the next event in the queue (equivalent to calling `getNextEvent(true)`).
`java.util.EventObject` | `getNextEvent(boolean bRemove)` Gets and optionally removes the next event in the queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueEventListener

    public QueueEventListener()

  Constructor.

Method Detail

### addEvent

    protected void addEvent(java.util.EventObject obj)

  Adds an event to the queue (should be called by subclasses when they receive an event).
  Parameters:
    `obj` - the event object to add

### getEvents

    public java.util.List getEvents()

  Gets the events that have occurred since the last time this method was called (equivalent to calling `getEvents(true)`);
  Returns:
    the list of events

### getEvents

    public java.util.List getEvents(boolean bRemove)

  Gets and optionally also removes all of the events in the queue.
  Parameters:
    `bRemove` - if `true`, remove existing events from the queue
  Returns:
    the current event list if `bRemove` is true, or a copy of the event list if it is `false`, or an empty list if no events have occurred

### getNextEvent

    public java.util.EventObject getNextEvent()

  Gets and removes the next event in the queue (equivalent to calling `getNextEvent(true)`).
  Returns:
    the next event in the queue, or `null` if there are no events in the queue

### getNextEvent

    public java.util.EventObject getNextEvent(boolean bRemove)

  Gets and optionally removes the next event in the queue.
  Parameters:
    `bRemove` - if `true`, remove the event from the queue
  Returns:
    the next event in the queue, or `null` if there are no events in the queue

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.